Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class InterfaceDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.InterfaceDefHelper

public class InterfaceDefHelper
extends java.lang.Object

Helper class for : InterfaceDef

Author:
  OpenORB Compiler

Constructor Summary
`InterfaceDefHelper()`

Method Summary
`static InterfaceDef` | `extract(Any a)` Extract InterfaceDef from an any
`static java.lang.String` | `id()` Return the InterfaceDef IDL ID
`static void` | `insert(Any a, InterfaceDef t)` Insert InterfaceDef into an any
`static InterfaceDef` | `narrow(Object obj)` Narrow CORBA::Object to InterfaceDef
`static InterfaceDef` | `read(InputStream istream)` Read InterfaceDef from a marshalled stream
`static TypeCode` | `type()` Return the InterfaceDef TypeCode
`static InterfaceDef` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to InterfaceDef
`static void` | `write(OutputStream ostream, InterfaceDef value)` Write InterfaceDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceDefHelper

    public InterfaceDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InterfaceDef t)

  Insert InterfaceDef into an any
  Parameters:
    `a` - an any
    `t` - InterfaceDef value

### extract

    public static InterfaceDef extract(Any a)

  Extract InterfaceDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InterfaceDef value

### type

    public static TypeCode type()

  Return the InterfaceDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InterfaceDef IDL ID
  Returns:
    an ID

### read

    public static InterfaceDef read(InputStream istream)

  Read InterfaceDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InterfaceDef value

### write

    public static void write(OutputStream ostream,
                             InterfaceDef value)

  Write InterfaceDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InterfaceDef value

### narrow

    public static InterfaceDef narrow(Object obj)

  Narrow CORBA::Object to InterfaceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    InterfaceDef Object

### unchecked_narrow

    public static InterfaceDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to InterfaceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    InterfaceDef Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD